// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: client/profile.proto

package freeje_client

import (
	api "gitlab.com/BetaCompany/Freeje/sdk/go/api"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Limit struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id    string  `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`         // идентификатор лимита
	Name  string  `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`     // название лимита
	Limit float64 `protobuf:"fixed64,3,opt,name=limit,proto3" json:"limit,omitempty"` // предел
	Value float64 `protobuf:"fixed64,4,opt,name=value,proto3" json:"value,omitempty"` // текущее значение
}

func (x *Limit) Reset() {
	*x = Limit{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_profile_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Limit) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Limit) ProtoMessage() {}

func (x *Limit) ProtoReflect() protoreflect.Message {
	mi := &file_client_profile_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Limit.ProtoReflect.Descriptor instead.
func (*Limit) Descriptor() ([]byte, []int) {
	return file_client_profile_proto_rawDescGZIP(), []int{0}
}

func (x *Limit) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Limit) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Limit) GetLimit() float64 {
	if x != nil {
		return x.Limit
	}
	return 0
}

func (x *Limit) GetValue() float64 {
	if x != nil {
		return x.Value
	}
	return 0
}

type SipAccess struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	SipUri   string `protobuf:"bytes,1,opt,name=sip_uri,json=sipUri,proto3" json:"sip_uri,omitempty"` // адрес SIP сервера
	Login    string `protobuf:"bytes,2,opt,name=login,proto3" json:"login,omitempty"`                 // логин для входа
	Password string `protobuf:"bytes,3,opt,name=password,proto3" json:"password,omitempty"`           // пароль для входа
}

func (x *SipAccess) Reset() {
	*x = SipAccess{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_profile_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SipAccess) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SipAccess) ProtoMessage() {}

func (x *SipAccess) ProtoReflect() protoreflect.Message {
	mi := &file_client_profile_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SipAccess.ProtoReflect.Descriptor instead.
func (*SipAccess) Descriptor() ([]byte, []int) {
	return file_client_profile_proto_rawDescGZIP(), []int{1}
}

func (x *SipAccess) GetSipUri() string {
	if x != nil {
		return x.SipUri
	}
	return ""
}

func (x *SipAccess) GetLogin() string {
	if x != nil {
		return x.Login
	}
	return ""
}

func (x *SipAccess) GetPassword() string {
	if x != nil {
		return x.Password
	}
	return ""
}

type WebAccess struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	WssUri   string `protobuf:"bytes,1,opt,name=wss_uri,json=wssUri,proto3" json:"wss_uri,omitempty"` // адрес WSS сервера
	Login    string `protobuf:"bytes,2,opt,name=login,proto3" json:"login,omitempty"`                 // логин для входа
	Password string `protobuf:"bytes,3,opt,name=password,proto3" json:"password,omitempty"`           // пароль для входа
}

func (x *WebAccess) Reset() {
	*x = WebAccess{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_profile_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *WebAccess) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*WebAccess) ProtoMessage() {}

func (x *WebAccess) ProtoReflect() protoreflect.Message {
	mi := &file_client_profile_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use WebAccess.ProtoReflect.Descriptor instead.
func (*WebAccess) Descriptor() ([]byte, []int) {
	return file_client_profile_proto_rawDescGZIP(), []int{2}
}

func (x *WebAccess) GetWssUri() string {
	if x != nil {
		return x.WssUri
	}
	return ""
}

func (x *WebAccess) GetLogin() string {
	if x != nil {
		return x.Login
	}
	return ""
}

func (x *WebAccess) GetPassword() string {
	if x != nil {
		return x.Password
	}
	return ""
}

type ApiAccess struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ApiUri string `protobuf:"bytes,1,opt,name=api_uri,json=apiUri,proto3" json:"api_uri,omitempty"` // адрес API сервера
	Token  string `protobuf:"bytes,2,opt,name=token,proto3" json:"token,omitempty"`                 // токен авторизации в заголовке
}

func (x *ApiAccess) Reset() {
	*x = ApiAccess{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_profile_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ApiAccess) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ApiAccess) ProtoMessage() {}

func (x *ApiAccess) ProtoReflect() protoreflect.Message {
	mi := &file_client_profile_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ApiAccess.ProtoReflect.Descriptor instead.
func (*ApiAccess) Descriptor() ([]byte, []int) {
	return file_client_profile_proto_rawDescGZIP(), []int{3}
}

func (x *ApiAccess) GetApiUri() string {
	if x != nil {
		return x.ApiUri
	}
	return ""
}

func (x *ApiAccess) GetToken() string {
	if x != nil {
		return x.Token
	}
	return ""
}

type SmsCallback struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CallbackUri string `protobuf:"bytes,1,opt,name=callback_uri,json=callbackUri,proto3" json:"callback_uri,omitempty"` // адрес для GET колбэка
}

func (x *SmsCallback) Reset() {
	*x = SmsCallback{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_profile_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SmsCallback) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SmsCallback) ProtoMessage() {}

func (x *SmsCallback) ProtoReflect() protoreflect.Message {
	mi := &file_client_profile_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SmsCallback.ProtoReflect.Descriptor instead.
func (*SmsCallback) Descriptor() ([]byte, []int) {
	return file_client_profile_proto_rawDescGZIP(), []int{4}
}

func (x *SmsCallback) GetCallbackUri() string {
	if x != nil {
		return x.CallbackUri
	}
	return ""
}

//Данные для регистрации через внешние сервисы (SIP,VERTO,API)
type AccessCredentials struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	// Types that are assignable to Type:
	//	*AccessCredentials_Sip
	//	*AccessCredentials_Web
	//	*AccessCredentials_Api
	//	*AccessCredentials_Callback
	Type        isAccessCredentials_Type `protobuf_oneof:"type"`
	Createdms   int64                    `protobuf:"varint,100,opt,name=createdms,proto3" json:"createdms,omitempty"`        // время создания профиля
	Lastusagems int64                    `protobuf:"varint,101,opt,name=lastusagems,proto3" json:"lastusagems,omitempty"`    // время последнего использования
	Validms     int64                    `protobuf:"varint,102,opt,name=validms,proto3" json:"validms,omitempty"`            // время до которого действует в мс UTC (если 0 то бессрочно)
	Temp        bool                     `protobuf:"varint,103,opt,name=temp,proto3" json:"temp,omitempty"`                  // временный аккаунт будет удален через 5 минут с момента создания
	IpList      []string                 `protobuf:"bytes,104,rep,name=ip_list,json=ipList,proto3" json:"ip_list,omitempty"` // список ограничений по IP
}

func (x *AccessCredentials) Reset() {
	*x = AccessCredentials{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_profile_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AccessCredentials) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AccessCredentials) ProtoMessage() {}

func (x *AccessCredentials) ProtoReflect() protoreflect.Message {
	mi := &file_client_profile_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AccessCredentials.ProtoReflect.Descriptor instead.
func (*AccessCredentials) Descriptor() ([]byte, []int) {
	return file_client_profile_proto_rawDescGZIP(), []int{5}
}

func (x *AccessCredentials) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (m *AccessCredentials) GetType() isAccessCredentials_Type {
	if m != nil {
		return m.Type
	}
	return nil
}

func (x *AccessCredentials) GetSip() *SipAccess {
	if x, ok := x.GetType().(*AccessCredentials_Sip); ok {
		return x.Sip
	}
	return nil
}

func (x *AccessCredentials) GetWeb() *WebAccess {
	if x, ok := x.GetType().(*AccessCredentials_Web); ok {
		return x.Web
	}
	return nil
}

func (x *AccessCredentials) GetApi() *ApiAccess {
	if x, ok := x.GetType().(*AccessCredentials_Api); ok {
		return x.Api
	}
	return nil
}

func (x *AccessCredentials) GetCallback() *SmsCallback {
	if x, ok := x.GetType().(*AccessCredentials_Callback); ok {
		return x.Callback
	}
	return nil
}

func (x *AccessCredentials) GetCreatedms() int64 {
	if x != nil {
		return x.Createdms
	}
	return 0
}

func (x *AccessCredentials) GetLastusagems() int64 {
	if x != nil {
		return x.Lastusagems
	}
	return 0
}

func (x *AccessCredentials) GetValidms() int64 {
	if x != nil {
		return x.Validms
	}
	return 0
}

func (x *AccessCredentials) GetTemp() bool {
	if x != nil {
		return x.Temp
	}
	return false
}

func (x *AccessCredentials) GetIpList() []string {
	if x != nil {
		return x.IpList
	}
	return nil
}

type isAccessCredentials_Type interface {
	isAccessCredentials_Type()
}

type AccessCredentials_Sip struct {
	Sip *SipAccess `protobuf:"bytes,2,opt,name=sip,proto3,oneof"`
}

type AccessCredentials_Web struct {
	Web *WebAccess `protobuf:"bytes,3,opt,name=web,proto3,oneof"`
}

type AccessCredentials_Api struct {
	Api *ApiAccess `protobuf:"bytes,4,opt,name=api,proto3,oneof"`
}

type AccessCredentials_Callback struct {
	Callback *SmsCallback `protobuf:"bytes,5,opt,name=callback,proto3,oneof"`
}

func (*AccessCredentials_Sip) isAccessCredentials_Type() {}

func (*AccessCredentials_Web) isAccessCredentials_Type() {}

func (*AccessCredentials_Api) isAccessCredentials_Type() {}

func (*AccessCredentials_Callback) isAccessCredentials_Type() {}

//Данные залогиненового пользователя
type AccountProfile struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id         string                `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"` // идентификатор аккаунта
	Email      string                `protobuf:"bytes,2,opt,name=email,proto3" json:"email,omitempty"`
	Photo      string                `protobuf:"bytes,3,opt,name=photo,proto3" json:"photo,omitempty"`
	Name       string                `protobuf:"bytes,4,opt,name=name,proto3" json:"name,omitempty"`
	Funds      float64               `protobuf:"fixed64,5,opt,name=funds,proto3" json:"funds,omitempty"`
	TariffId   string                `protobuf:"bytes,6,opt,name=tariffId,proto3" json:"tariffId,omitempty"`     // действующий тариф профиля
	TariffName string                `protobuf:"bytes,7,opt,name=tariffName,proto3" json:"tariffName,omitempty"` // имя действующего тарифа
	Agreement  *api.AccountAgreement `protobuf:"bytes,8,opt,name=agreement,proto3" json:"agreement,omitempty"`   // информация о пользовательском согласии
}

func (x *AccountProfile) Reset() {
	*x = AccountProfile{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_profile_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AccountProfile) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AccountProfile) ProtoMessage() {}

func (x *AccountProfile) ProtoReflect() protoreflect.Message {
	mi := &file_client_profile_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AccountProfile.ProtoReflect.Descriptor instead.
func (*AccountProfile) Descriptor() ([]byte, []int) {
	return file_client_profile_proto_rawDescGZIP(), []int{6}
}

func (x *AccountProfile) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *AccountProfile) GetEmail() string {
	if x != nil {
		return x.Email
	}
	return ""
}

func (x *AccountProfile) GetPhoto() string {
	if x != nil {
		return x.Photo
	}
	return ""
}

func (x *AccountProfile) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *AccountProfile) GetFunds() float64 {
	if x != nil {
		return x.Funds
	}
	return 0
}

func (x *AccountProfile) GetTariffId() string {
	if x != nil {
		return x.TariffId
	}
	return ""
}

func (x *AccountProfile) GetTariffName() string {
	if x != nil {
		return x.TariffName
	}
	return ""
}

func (x *AccountProfile) GetAgreement() *api.AccountAgreement {
	if x != nil {
		return x.Agreement
	}
	return nil
}

type ProfileDocument struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        string           `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`                // идентификатор документа
	Label     string           `protobuf:"bytes,2,opt,name=label,proto3" json:"label,omitempty"`          // текстовое описание документа
	Updatedms int64            `protobuf:"varint,3,opt,name=updatedms,proto3" json:"updatedms,omitempty"` // время последнего обновления документа
	Type      api.DocumentType `protobuf:"varint,4,opt,name=type,proto3,enum=com.freeje.DocumentType" json:"type,omitempty"`
	Data      []byte           `protobuf:"bytes,5,opt,name=data,proto3" json:"data,omitempty"` // содержимое документа в зависимости от DocumentType
}

func (x *ProfileDocument) Reset() {
	*x = ProfileDocument{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_profile_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProfileDocument) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProfileDocument) ProtoMessage() {}

func (x *ProfileDocument) ProtoReflect() protoreflect.Message {
	mi := &file_client_profile_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProfileDocument.ProtoReflect.Descriptor instead.
func (*ProfileDocument) Descriptor() ([]byte, []int) {
	return file_client_profile_proto_rawDescGZIP(), []int{7}
}

func (x *ProfileDocument) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *ProfileDocument) GetLabel() string {
	if x != nil {
		return x.Label
	}
	return ""
}

func (x *ProfileDocument) GetUpdatedms() int64 {
	if x != nil {
		return x.Updatedms
	}
	return 0
}

func (x *ProfileDocument) GetType() api.DocumentType {
	if x != nil {
		return x.Type
	}
	return api.DocumentType(0)
}

func (x *ProfileDocument) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

//Пуш пакет с актуальным состоянием (изменениями) профиля
type ProvisionMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Stamp  int64              `protobuf:"varint,1,opt,name=stamp,proto3" json:"stamp,omitempty"` // время в секундах с начала эпохи которое он был сформирован
	Phones []*api.PhoneNumber `protobuf:"bytes,2,rep,name=phones,proto3" json:"phones,omitempty"`
	Dids   []*DidNumber       `protobuf:"bytes,3,rep,name=dids,proto3" json:"dids,omitempty"`
}

func (x *ProvisionMessage) Reset() {
	*x = ProvisionMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_profile_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProvisionMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProvisionMessage) ProtoMessage() {}

func (x *ProvisionMessage) ProtoReflect() protoreflect.Message {
	mi := &file_client_profile_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProvisionMessage.ProtoReflect.Descriptor instead.
func (*ProvisionMessage) Descriptor() ([]byte, []int) {
	return file_client_profile_proto_rawDescGZIP(), []int{8}
}

func (x *ProvisionMessage) GetStamp() int64 {
	if x != nil {
		return x.Stamp
	}
	return 0
}

func (x *ProvisionMessage) GetPhones() []*api.PhoneNumber {
	if x != nil {
		return x.Phones
	}
	return nil
}

func (x *ProvisionMessage) GetDids() []*DidNumber {
	if x != nil {
		return x.Dids
	}
	return nil
}

// JWT токен с подтвержденным номером
type PhoneToken struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Token string `protobuf:"bytes,1,opt,name=token,proto3" json:"token,omitempty"`
}

func (x *PhoneToken) Reset() {
	*x = PhoneToken{}
	if protoimpl.UnsafeEnabled {
		mi := &file_client_profile_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PhoneToken) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PhoneToken) ProtoMessage() {}

func (x *PhoneToken) ProtoReflect() protoreflect.Message {
	mi := &file_client_profile_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PhoneToken.ProtoReflect.Descriptor instead.
func (*PhoneToken) Descriptor() ([]byte, []int) {
	return file_client_profile_proto_rawDescGZIP(), []int{9}
}

func (x *PhoneToken) GetToken() string {
	if x != nil {
		return x.Token
	}
	return ""
}

var File_client_profile_proto protoreflect.FileDescriptor

var file_client_profile_proto_rawDesc = []byte{
	0x0a, 0x14, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x70, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x1a, 0x0c, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x10, 0x63, 0x6c, 0x69,
	0x65, 0x6e, 0x74, 0x2f, 0x64, 0x69, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x57, 0x0a,
	0x05, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x6c, 0x69,
	0x6d, 0x69, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x01, 0x52, 0x05, 0x6c, 0x69, 0x6d, 0x69, 0x74,
	0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x01, 0x52,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x56, 0x0a, 0x09, 0x53, 0x69, 0x70, 0x41, 0x63, 0x63,
	0x65, 0x73, 0x73, 0x12, 0x17, 0x0a, 0x07, 0x73, 0x69, 0x70, 0x5f, 0x75, 0x72, 0x69, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73, 0x69, 0x70, 0x55, 0x72, 0x69, 0x12, 0x14, 0x0a, 0x05,
	0x6c, 0x6f, 0x67, 0x69, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6c, 0x6f, 0x67,
	0x69, 0x6e, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x22, 0x56,
	0x0a, 0x09, 0x57, 0x65, 0x62, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x12, 0x17, 0x0a, 0x07, 0x77,
	0x73, 0x73, 0x5f, 0x75, 0x72, 0x69, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x77, 0x73,
	0x73, 0x55, 0x72, 0x69, 0x12, 0x14, 0x0a, 0x05, 0x6c, 0x6f, 0x67, 0x69, 0x6e, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x05, 0x6c, 0x6f, 0x67, 0x69, 0x6e, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x61,
	0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x61,
	0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x22, 0x3a, 0x0a, 0x09, 0x41, 0x70, 0x69, 0x41, 0x63, 0x63,
	0x65, 0x73, 0x73, 0x12, 0x17, 0x0a, 0x07, 0x61, 0x70, 0x69, 0x5f, 0x75, 0x72, 0x69, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x61, 0x70, 0x69, 0x55, 0x72, 0x69, 0x12, 0x14, 0x0a, 0x05,
	0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x74, 0x6f, 0x6b,
	0x65, 0x6e, 0x22, 0x30, 0x0a, 0x0b, 0x53, 0x6d, 0x73, 0x43, 0x61, 0x6c, 0x6c, 0x62, 0x61, 0x63,
	0x6b, 0x12, 0x21, 0x0a, 0x0c, 0x63, 0x61, 0x6c, 0x6c, 0x62, 0x61, 0x63, 0x6b, 0x5f, 0x75, 0x72,
	0x69, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x63, 0x61, 0x6c, 0x6c, 0x62, 0x61, 0x63,
	0x6b, 0x55, 0x72, 0x69, 0x22, 0x96, 0x03, 0x0a, 0x11, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x43,
	0x72, 0x65, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x73, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x34, 0x0a, 0x03, 0x73, 0x69,
	0x70, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e,
	0x53, 0x69, 0x70, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x48, 0x00, 0x52, 0x03, 0x73, 0x69, 0x70,
	0x12, 0x34, 0x0a, 0x03, 0x77, 0x65, 0x62, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63,
	0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x57, 0x65, 0x62, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x48,
	0x00, 0x52, 0x03, 0x77, 0x65, 0x62, 0x12, 0x34, 0x0a, 0x03, 0x61, 0x70, 0x69, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x41, 0x70, 0x69, 0x41,
	0x63, 0x63, 0x65, 0x73, 0x73, 0x48, 0x00, 0x52, 0x03, 0x61, 0x70, 0x69, 0x12, 0x40, 0x0a, 0x08,
	0x63, 0x61, 0x6c, 0x6c, 0x62, 0x61, 0x63, 0x6b, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x22,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x53, 0x6d, 0x73, 0x43, 0x61, 0x6c, 0x6c, 0x62, 0x61,
	0x63, 0x6b, 0x48, 0x00, 0x52, 0x08, 0x63, 0x61, 0x6c, 0x6c, 0x62, 0x61, 0x63, 0x6b, 0x12, 0x1c,
	0x0a, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x6d, 0x73, 0x18, 0x64, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x6d, 0x73, 0x12, 0x20, 0x0a, 0x0b,
	0x6c, 0x61, 0x73, 0x74, 0x75, 0x73, 0x61, 0x67, 0x65, 0x6d, 0x73, 0x18, 0x65, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x0b, 0x6c, 0x61, 0x73, 0x74, 0x75, 0x73, 0x61, 0x67, 0x65, 0x6d, 0x73, 0x12, 0x18,
	0x0a, 0x07, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x6d, 0x73, 0x18, 0x66, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x07, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x6d, 0x73, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x65, 0x6d, 0x70,
	0x18, 0x67, 0x20, 0x01, 0x28, 0x08, 0x52, 0x04, 0x74, 0x65, 0x6d, 0x70, 0x12, 0x17, 0x0a, 0x07,
	0x69, 0x70, 0x5f, 0x6c, 0x69, 0x73, 0x74, 0x18, 0x68, 0x20, 0x03, 0x28, 0x09, 0x52, 0x06, 0x69,
	0x70, 0x4c, 0x69, 0x73, 0x74, 0x42, 0x06, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x22, 0xee, 0x01,
	0x0a, 0x0e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x50, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65,
	0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64,
	0x12, 0x14, 0x0a, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x12, 0x14, 0x0a, 0x05, 0x70, 0x68, 0x6f, 0x74, 0x6f, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x70, 0x68, 0x6f, 0x74, 0x6f, 0x12, 0x12, 0x0a, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x12, 0x14, 0x0a, 0x05, 0x66, 0x75, 0x6e, 0x64, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x01, 0x52,
	0x05, 0x66, 0x75, 0x6e, 0x64, 0x73, 0x12, 0x1a, 0x0a, 0x08, 0x74, 0x61, 0x72, 0x69, 0x66, 0x66,
	0x49, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x74, 0x61, 0x72, 0x69, 0x66, 0x66,
	0x49, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x74, 0x61, 0x72, 0x69, 0x66, 0x66, 0x4e, 0x61, 0x6d, 0x65,
	0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x74, 0x61, 0x72, 0x69, 0x66, 0x66, 0x4e, 0x61,
	0x6d, 0x65, 0x12, 0x3a, 0x0a, 0x09, 0x61, 0x67, 0x72, 0x65, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x18,
	0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x41, 0x67, 0x72, 0x65, 0x65, 0x6d,
	0x65, 0x6e, 0x74, 0x52, 0x09, 0x61, 0x67, 0x72, 0x65, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x22, 0x97,
	0x01, 0x0a, 0x0f, 0x50, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65,
	0x6e, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02,
	0x69, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x12, 0x1c, 0x0a, 0x09, 0x75, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x64, 0x6d, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x75, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x64, 0x6d, 0x73, 0x12, 0x2c, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x0e, 0x32, 0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04,
	0x74, 0x79, 0x70, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x0c, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x8f, 0x01, 0x0a, 0x10, 0x50, 0x72, 0x6f,
	0x76, 0x69, 0x73, 0x69, 0x6f, 0x6e, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x14, 0x0a,
	0x05, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x12, 0x2f, 0x0a, 0x06, 0x70, 0x68, 0x6f, 0x6e, 0x65, 0x73, 0x18, 0x02, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x50, 0x68, 0x6f, 0x6e, 0x65, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x52, 0x06, 0x70, 0x68,
	0x6f, 0x6e, 0x65, 0x73, 0x12, 0x34, 0x0a, 0x04, 0x64, 0x69, 0x64, 0x73, 0x18, 0x03, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x44, 0x69, 0x64, 0x4e, 0x75,
	0x6d, 0x62, 0x65, 0x72, 0x52, 0x04, 0x64, 0x69, 0x64, 0x73, 0x22, 0x22, 0x0a, 0x0a, 0x50, 0x68,
	0x6f, 0x6e, 0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x6f, 0x6b, 0x65,
	0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x32, 0xd4,
	0x0c, 0x0a, 0x07, 0x50, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x12, 0x40, 0x0a, 0x0a, 0x4c, 0x69,
	0x73, 0x74, 0x50, 0x68, 0x6f, 0x6e, 0x65, 0x73, 0x12, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64,
	0x65, 0x1a, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x50,
	0x68, 0x6f, 0x6e, 0x65, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x30, 0x01, 0x12, 0x41, 0x0a, 0x09,
	0x4c, 0x69, 0x6e, 0x6b, 0x50, 0x68, 0x6f, 0x6e, 0x65, 0x12, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e,
	0x74, 0x2e, 0x50, 0x68, 0x6f, 0x6e, 0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x1a, 0x11, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12,
	0x39, 0x0a, 0x0b, 0x55, 0x6e, 0x6c, 0x69, 0x6e, 0x6b, 0x50, 0x68, 0x6f, 0x6e, 0x65, 0x12, 0x17,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x50, 0x68, 0x6f, 0x6e,
	0x65, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x1a, 0x11, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x33, 0x0a, 0x0a, 0x4c, 0x69,
	0x6e, 0x6b, 0x50, 0x75, 0x73, 0x68, 0x49, 0x64, 0x12, 0x12, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x50, 0x75, 0x73, 0x68, 0x49, 0x64, 0x1a, 0x11, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12,
	0x35, 0x0a, 0x0c, 0x55, 0x6e, 0x4c, 0x69, 0x6e, 0x6b, 0x50, 0x75, 0x73, 0x68, 0x49, 0x64, 0x12,
	0x12, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x50, 0x75, 0x73,
	0x68, 0x49, 0x64, 0x1a, 0x11, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x3b, 0x0a, 0x0a, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x75,
	0x73, 0x68, 0x49, 0x64, 0x12, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x1a, 0x12, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x50, 0x75, 0x73, 0x68, 0x49,
	0x64, 0x30, 0x01, 0x12, 0x6d, 0x0a, 0x17, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x41, 0x63, 0x63,
	0x65, 0x73, 0x73, 0x43, 0x72, 0x65, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x73, 0x12, 0x28,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x43, 0x72, 0x65,
	0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x73, 0x1a, 0x28, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74,
	0x2e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x43, 0x72, 0x65, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61,
	0x6c, 0x73, 0x12, 0x5c, 0x0a, 0x15, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73,
	0x43, 0x72, 0x65, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x73, 0x12, 0x17, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x4d, 0x6f, 0x64, 0x65, 0x1a, 0x28, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x41, 0x63, 0x63,
	0x65, 0x73, 0x73, 0x43, 0x72, 0x65, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x73, 0x30, 0x01,
	0x12, 0x6d, 0x0a, 0x17, 0x52, 0x65, 0x76, 0x6f, 0x6b, 0x65, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73,
	0x43, 0x72, 0x65, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x73, 0x12, 0x28, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69,
	0x65, 0x6e, 0x74, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x43, 0x72, 0x65, 0x64, 0x65, 0x6e,
	0x74, 0x69, 0x61, 0x6c, 0x73, 0x1a, 0x28, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x41, 0x63,
	0x63, 0x65, 0x73, 0x73, 0x43, 0x72, 0x65, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x73, 0x12,
	0x48, 0x0a, 0x04, 0x53, 0x65, 0x6c, 0x66, 0x12, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65,
	0x1a, 0x25, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x50, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x30, 0x01, 0x12, 0x56, 0x0a, 0x12, 0x42, 0x75, 0x69,
	0x6c, 0x64, 0x46, 0x69, 0x6e, 0x61, 0x6e, 0x63, 0x65, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x12,
	0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52, 0x65, 0x70,
	0x6f, 0x72, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x73, 0x1a, 0x1c, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x46,
	0x69, 0x6e, 0x61, 0x6e, 0x63, 0x65, 0x4f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x30,
	0x01, 0x12, 0x57, 0x0a, 0x07, 0x53, 0x65, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x25, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c,
	0x69, 0x65, 0x6e, 0x74, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x50, 0x72, 0x6f, 0x66,
	0x69, 0x6c, 0x65, 0x1a, 0x25, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x41, 0x63, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x50, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x12, 0x58, 0x0a, 0x13, 0x47, 0x65,
	0x74, 0x50, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74,
	0x73, 0x12, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x1a, 0x26, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65,
	0x6e, 0x74, 0x2e, 0x50, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65,
	0x6e, 0x74, 0x30, 0x01, 0x12, 0x64, 0x0a, 0x12, 0x47, 0x65, 0x74, 0x50, 0x72, 0x6f, 0x66, 0x69,
	0x6c, 0x65, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x26, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65,
	0x6e, 0x74, 0x2e, 0x50, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65,
	0x6e, 0x74, 0x1a, 0x26, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x50, 0x72, 0x6f, 0x66, 0x69,
	0x6c, 0x65, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x67, 0x0a, 0x15, 0x55, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x50, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x44, 0x6f, 0x63, 0x75, 0x6d,
	0x65, 0x6e, 0x74, 0x12, 0x26, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x50, 0x72, 0x6f, 0x66,
	0x69, 0x6c, 0x65, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x1a, 0x26, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69,
	0x65, 0x6e, 0x74, 0x2e, 0x50, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x44, 0x6f, 0x63, 0x75, 0x6d,
	0x65, 0x6e, 0x74, 0x12, 0x67, 0x0a, 0x15, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x72, 0x6f,
	0x66, 0x69, 0x6c, 0x65, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x26, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c,
	0x69, 0x65, 0x6e, 0x74, 0x2e, 0x50, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x44, 0x6f, 0x63, 0x75,
	0x6d, 0x65, 0x6e, 0x74, 0x1a, 0x26, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x50, 0x72, 0x6f,
	0x66, 0x69, 0x6c, 0x65, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x4d, 0x0a, 0x0f,
	0x41, 0x63, 0x63, 0x65, 0x70, 0x74, 0x41, 0x67, 0x72, 0x65, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x12,
	0x1c, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x41, 0x63, 0x63,
	0x6f, 0x75, 0x6e, 0x74, 0x41, 0x67, 0x72, 0x65, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x1a, 0x1c, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75,
	0x6e, 0x74, 0x41, 0x67, 0x72, 0x65, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x44, 0x0a, 0x09, 0x47,
	0x65, 0x74, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x73, 0x12, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64,
	0x65, 0x1a, 0x1c, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x4c, 0x69, 0x6d, 0x69, 0x74, 0x30,
	0x01, 0x12, 0x3f, 0x0a, 0x09, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62, 0x65, 0x12, 0x18,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x53, 0x75, 0x62, 0x73,
	0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x1a, 0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x41, 0x0a, 0x0b, 0x55, 0x6e, 0x73, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x62,
	0x65, 0x12, 0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x53,
	0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x1a, 0x18, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x73, 0x0a, 0x15, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x42, 0x0b,
	0x50, 0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x54, 0x79, 0x70, 0x65, 0x50, 0x00, 0x5a, 0x3d, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x42, 0x65, 0x74, 0x61, 0x43, 0x6f,
	0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2f, 0x46, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2f, 0x73, 0x64, 0x6b,
	0x2f, 0x67, 0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x3b, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0xa2, 0x02, 0x0b, 0x50,
	0x72, 0x6f, 0x66, 0x69, 0x6c, 0x65, 0x54, 0x79, 0x70, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_client_profile_proto_rawDescOnce sync.Once
	file_client_profile_proto_rawDescData = file_client_profile_proto_rawDesc
)

func file_client_profile_proto_rawDescGZIP() []byte {
	file_client_profile_proto_rawDescOnce.Do(func() {
		file_client_profile_proto_rawDescData = protoimpl.X.CompressGZIP(file_client_profile_proto_rawDescData)
	})
	return file_client_profile_proto_rawDescData
}

var file_client_profile_proto_msgTypes = make([]protoimpl.MessageInfo, 10)
var file_client_profile_proto_goTypes = []interface{}{
	(*Limit)(nil),                    // 0: com.freeje.api.client.Limit
	(*SipAccess)(nil),                // 1: com.freeje.api.client.SipAccess
	(*WebAccess)(nil),                // 2: com.freeje.api.client.WebAccess
	(*ApiAccess)(nil),                // 3: com.freeje.api.client.ApiAccess
	(*SmsCallback)(nil),              // 4: com.freeje.api.client.SmsCallback
	(*AccessCredentials)(nil),        // 5: com.freeje.api.client.AccessCredentials
	(*AccountProfile)(nil),           // 6: com.freeje.api.client.AccountProfile
	(*ProfileDocument)(nil),          // 7: com.freeje.api.client.ProfileDocument
	(*ProvisionMessage)(nil),         // 8: com.freeje.api.client.ProvisionMessage
	(*PhoneToken)(nil),               // 9: com.freeje.api.client.PhoneToken
	(*api.AccountAgreement)(nil),     // 10: com.freeje.AccountAgreement
	(api.DocumentType)(0),            // 11: com.freeje.DocumentType
	(*api.PhoneNumber)(nil),          // 12: com.freeje.PhoneNumber
	(*DidNumber)(nil),                // 13: com.freeje.api.client.DidNumber
	(*api.RequestMode)(nil),          // 14: com.freeje.RequestMode
	(*api.PushId)(nil),               // 15: com.freeje.PushId
	(*api.ReportRequestOptions)(nil), // 16: com.freeje.ReportRequestOptions
	(*api.Subscription)(nil),         // 17: com.freeje.Subscription
	(*api.Empty)(nil),                // 18: com.freeje.Empty
	(*api.FinanceOperation)(nil),     // 19: com.freeje.FinanceOperation
}
var file_client_profile_proto_depIdxs = []int32{
	1,  // 0: com.freeje.api.client.AccessCredentials.sip:type_name -> com.freeje.api.client.SipAccess
	2,  // 1: com.freeje.api.client.AccessCredentials.web:type_name -> com.freeje.api.client.WebAccess
	3,  // 2: com.freeje.api.client.AccessCredentials.api:type_name -> com.freeje.api.client.ApiAccess
	4,  // 3: com.freeje.api.client.AccessCredentials.callback:type_name -> com.freeje.api.client.SmsCallback
	10, // 4: com.freeje.api.client.AccountProfile.agreement:type_name -> com.freeje.AccountAgreement
	11, // 5: com.freeje.api.client.ProfileDocument.type:type_name -> com.freeje.DocumentType
	12, // 6: com.freeje.api.client.ProvisionMessage.phones:type_name -> com.freeje.PhoneNumber
	13, // 7: com.freeje.api.client.ProvisionMessage.dids:type_name -> com.freeje.api.client.DidNumber
	14, // 8: com.freeje.api.client.Profile.ListPhones:input_type -> com.freeje.RequestMode
	9,  // 9: com.freeje.api.client.Profile.LinkPhone:input_type -> com.freeje.api.client.PhoneToken
	12, // 10: com.freeje.api.client.Profile.UnlinkPhone:input_type -> com.freeje.PhoneNumber
	15, // 11: com.freeje.api.client.Profile.LinkPushId:input_type -> com.freeje.PushId
	15, // 12: com.freeje.api.client.Profile.UnLinkPushId:input_type -> com.freeje.PushId
	14, // 13: com.freeje.api.client.Profile.ListPushId:input_type -> com.freeje.RequestMode
	5,  // 14: com.freeje.api.client.Profile.UpdateAccessCredentials:input_type -> com.freeje.api.client.AccessCredentials
	14, // 15: com.freeje.api.client.Profile.ListAccessCredentials:input_type -> com.freeje.RequestMode
	5,  // 16: com.freeje.api.client.Profile.RevokeAccessCredentials:input_type -> com.freeje.api.client.AccessCredentials
	14, // 17: com.freeje.api.client.Profile.Self:input_type -> com.freeje.RequestMode
	16, // 18: com.freeje.api.client.Profile.BuildFinanceReport:input_type -> com.freeje.ReportRequestOptions
	6,  // 19: com.freeje.api.client.Profile.SetName:input_type -> com.freeje.api.client.AccountProfile
	14, // 20: com.freeje.api.client.Profile.GetProfileDocuments:input_type -> com.freeje.RequestMode
	7,  // 21: com.freeje.api.client.Profile.GetProfileDocument:input_type -> com.freeje.api.client.ProfileDocument
	7,  // 22: com.freeje.api.client.Profile.UpdateProfileDocument:input_type -> com.freeje.api.client.ProfileDocument
	7,  // 23: com.freeje.api.client.Profile.DeleteProfileDocument:input_type -> com.freeje.api.client.ProfileDocument
	10, // 24: com.freeje.api.client.Profile.AcceptAgreement:input_type -> com.freeje.AccountAgreement
	14, // 25: com.freeje.api.client.Profile.GetLimits:input_type -> com.freeje.RequestMode
	17, // 26: com.freeje.api.client.Profile.Subscribe:input_type -> com.freeje.Subscription
	17, // 27: com.freeje.api.client.Profile.Unsubscribe:input_type -> com.freeje.Subscription
	12, // 28: com.freeje.api.client.Profile.ListPhones:output_type -> com.freeje.PhoneNumber
	18, // 29: com.freeje.api.client.Profile.LinkPhone:output_type -> com.freeje.Empty
	18, // 30: com.freeje.api.client.Profile.UnlinkPhone:output_type -> com.freeje.Empty
	18, // 31: com.freeje.api.client.Profile.LinkPushId:output_type -> com.freeje.Empty
	18, // 32: com.freeje.api.client.Profile.UnLinkPushId:output_type -> com.freeje.Empty
	15, // 33: com.freeje.api.client.Profile.ListPushId:output_type -> com.freeje.PushId
	5,  // 34: com.freeje.api.client.Profile.UpdateAccessCredentials:output_type -> com.freeje.api.client.AccessCredentials
	5,  // 35: com.freeje.api.client.Profile.ListAccessCredentials:output_type -> com.freeje.api.client.AccessCredentials
	5,  // 36: com.freeje.api.client.Profile.RevokeAccessCredentials:output_type -> com.freeje.api.client.AccessCredentials
	6,  // 37: com.freeje.api.client.Profile.Self:output_type -> com.freeje.api.client.AccountProfile
	19, // 38: com.freeje.api.client.Profile.BuildFinanceReport:output_type -> com.freeje.FinanceOperation
	6,  // 39: com.freeje.api.client.Profile.SetName:output_type -> com.freeje.api.client.AccountProfile
	7,  // 40: com.freeje.api.client.Profile.GetProfileDocuments:output_type -> com.freeje.api.client.ProfileDocument
	7,  // 41: com.freeje.api.client.Profile.GetProfileDocument:output_type -> com.freeje.api.client.ProfileDocument
	7,  // 42: com.freeje.api.client.Profile.UpdateProfileDocument:output_type -> com.freeje.api.client.ProfileDocument
	7,  // 43: com.freeje.api.client.Profile.DeleteProfileDocument:output_type -> com.freeje.api.client.ProfileDocument
	10, // 44: com.freeje.api.client.Profile.AcceptAgreement:output_type -> com.freeje.AccountAgreement
	0,  // 45: com.freeje.api.client.Profile.GetLimits:output_type -> com.freeje.api.client.Limit
	17, // 46: com.freeje.api.client.Profile.Subscribe:output_type -> com.freeje.Subscription
	17, // 47: com.freeje.api.client.Profile.Unsubscribe:output_type -> com.freeje.Subscription
	28, // [28:48] is the sub-list for method output_type
	8,  // [8:28] is the sub-list for method input_type
	8,  // [8:8] is the sub-list for extension type_name
	8,  // [8:8] is the sub-list for extension extendee
	0,  // [0:8] is the sub-list for field type_name
}

func init() { file_client_profile_proto_init() }
func file_client_profile_proto_init() {
	if File_client_profile_proto != nil {
		return
	}
	file_client_did_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_client_profile_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Limit); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_profile_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SipAccess); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_profile_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*WebAccess); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_profile_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ApiAccess); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_profile_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SmsCallback); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_profile_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AccessCredentials); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_profile_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AccountProfile); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_profile_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProfileDocument); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_profile_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProvisionMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_client_profile_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PhoneToken); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_client_profile_proto_msgTypes[5].OneofWrappers = []interface{}{
		(*AccessCredentials_Sip)(nil),
		(*AccessCredentials_Web)(nil),
		(*AccessCredentials_Api)(nil),
		(*AccessCredentials_Callback)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_client_profile_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   10,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_client_profile_proto_goTypes,
		DependencyIndexes: file_client_profile_proto_depIdxs,
		MessageInfos:      file_client_profile_proto_msgTypes,
	}.Build()
	File_client_profile_proto = out.File
	file_client_profile_proto_rawDesc = nil
	file_client_profile_proto_goTypes = nil
	file_client_profile_proto_depIdxs = nil
}
